#ifndef _KODOVANI_CISLA_H_
#define _KODOVANI_CISLA_H_

// unie ktera bude pouzivana ke kodovani - pristupu k jednotlivym bytum
// kdyz si udelame promennou typu KodovaneCislo, muzeme k pameti, ktera
// je ji vyhrazena, pristupovat dvema ruznymi zpusoby - jednak jako k neznaminkovemu
// integeru, pokud budeme pristupovat pres polozku cislo, nebo jako k poli
// ctyr znaku, pokud budeme pristupovat pres polozku znaky.
union KodovaneCislo
{
	unsigned int cislo;
	char znaky[4];
};

// funkce, ktera bude kodovat cislo - dostane cislo k zakodovani a vrati
// ho zakodovane
unsigned int zakoduj(unsigned int x);

#endif